Activity log for bug #1724951

Date Who What changed Old value New value Message
2017-10-19 20:09:40 Chad Smith bug added bug
2017-10-19 20:09:45 Chad Smith cloud-init: status New In Progress
2017-10-19 20:09:47 Chad Smith cloud-init: importance Undecided Medium
2017-10-19 20:09:50 Chad Smith cloud-init: assignee Chad Smith (chad.smith)
2017-10-19 20:13:11 Chad Smith description Our docs and jsonschema definition allows an empty cloud-config definition for ntp. When provided, that empty cloud-config definition should just install ntp with sensible defaults From https://cloudinit.readthedocs.io/en/latest/topics/modules.html#ntp "If no ntp servers or pools are provided, 4 pools will be used in the format {0-3}.{distro}.pool.ntp.org." When running with an empty ntp cloud-config, we get a traceback from cc_ntp. Traceback (most recent call last): File "/usr/lib/python3/dist-packages/cloudinit/stages.py", line 793, in _run_modules freq=freq) File "/usr/lib/python3/dist-packages/cloudinit/cloud.py", line 54, in run return self._runners.run(name, functor, args, freq, clear_on_fail) File "/usr/lib/python3/dist-packages/cloudinit/helpers.py", line 187, in run results = functor(*args) File "/usr/lib/python3/dist-packages/cloudinit/config/cc_ntp.py", line 109, in handle " is a %s %instead"), type_utils.obj_name(ntp_cfg)) RuntimeError: ("'ntp' key existed in config, but not a dictionary type, is a %s %instead", 'NoneType') Steps to reproduce: $ cat >ntp.yaml <<EOF #cloud-config ntp: EOF # validate schema $ python3 -m cloudinit.cmd.main devel schema --annotate -c ntp.yaml Valid cloud-config file ntp.yaml # start an lxc w/ ntp cloud-config user-data $ lxc init ubuntu-daily:artful a1 $ lxc config set a2 user.user-data - < ntp.yaml $ lxc start a2 $ lxc exec a2 -- grep -A 10 Traceback /var/log/cloud-init.log Ste Our docs and jsonschema definition allows an empty cloud-config definition for ntp. When provided, that empty cloud-config definition should just install ntp with sensible defaults From https://cloudinit.readthedocs.io/en/latest/topics/modules.html#ntp "If no ntp servers or pools are provided, 4 pools will be used in the format {0-3}.{distro}.pool.ntp.org." When running with an empty ntp cloud-config, we get a traceback from cc_ntp. Traceback (most recent call last):   File "/usr/lib/python3/dist-packages/cloudinit/stages.py", line 793, in _run_modules     freq=freq)   File "/usr/lib/python3/dist-packages/cloudinit/cloud.py", line 54, in run     return self._runners.run(name, functor, args, freq, clear_on_fail)   File "/usr/lib/python3/dist-packages/cloudinit/helpers.py", line 187, in run     results = functor(*args)   File "/usr/lib/python3/dist-packages/cloudinit/config/cc_ntp.py", line 109, in handle     " is a %s %instead"), type_utils.obj_name(ntp_cfg)) RuntimeError: ("'ntp' key existed in config, but not a dictionary type, is a %s %instead", 'NoneType') Steps to reproduce: $ cat >ntp.yaml <<EOF #cloud-config ntp: EOF # validate schema $ python3 -m cloudinit.cmd.main devel schema --annotate -c ntp.yaml Valid cloud-config file ntp.yaml # start an lxc w/ ntp cloud-config user-data $ lxc init ubuntu-daily:artful a1 $ lxc config set a2 user.user-data - < ntp.yaml $ lxc start a2 $ lxc exec a2 -- grep -A 10 Traceback /var/log/cloud-init.log Integration tests also present schema Warnings about invalid ntp pools and servers cloud-config yaml containing dict objects instead of lists.
2017-10-20 05:20:13 Chad Smith merge proposal linked https://code.launchpad.net/~chad.smith/cloud-init/+git/cloud-init/+merge/332540
2017-10-23 20:55:54 Launchpad Janitor merge proposal linked https://code.launchpad.net/~chad.smith/cloud-init/+git/cloud-init/+merge/332670
2017-10-23 20:58:59 Launchpad Janitor merge proposal linked https://code.launchpad.net/~chad.smith/cloud-init/+git/cloud-init/+merge/332671
2017-10-23 21:08:52 Launchpad Janitor merge proposal linked https://code.launchpad.net/~chad.smith/cloud-init/+git/cloud-init/+merge/332673
2017-10-24 15:43:24 Launchpad Janitor merge proposal linked https://code.launchpad.net/~raharper/cloud-init/+git/cloud-init/+merge/332722
2017-10-24 20:27:12 Chad Smith description Our docs and jsonschema definition allows an empty cloud-config definition for ntp. When provided, that empty cloud-config definition should just install ntp with sensible defaults From https://cloudinit.readthedocs.io/en/latest/topics/modules.html#ntp "If no ntp servers or pools are provided, 4 pools will be used in the format {0-3}.{distro}.pool.ntp.org." When running with an empty ntp cloud-config, we get a traceback from cc_ntp. Traceback (most recent call last):   File "/usr/lib/python3/dist-packages/cloudinit/stages.py", line 793, in _run_modules     freq=freq)   File "/usr/lib/python3/dist-packages/cloudinit/cloud.py", line 54, in run     return self._runners.run(name, functor, args, freq, clear_on_fail)   File "/usr/lib/python3/dist-packages/cloudinit/helpers.py", line 187, in run     results = functor(*args)   File "/usr/lib/python3/dist-packages/cloudinit/config/cc_ntp.py", line 109, in handle     " is a %s %instead"), type_utils.obj_name(ntp_cfg)) RuntimeError: ("'ntp' key existed in config, but not a dictionary type, is a %s %instead", 'NoneType') Steps to reproduce: $ cat >ntp.yaml <<EOF #cloud-config ntp: EOF # validate schema $ python3 -m cloudinit.cmd.main devel schema --annotate -c ntp.yaml Valid cloud-config file ntp.yaml # start an lxc w/ ntp cloud-config user-data $ lxc init ubuntu-daily:artful a1 $ lxc config set a2 user.user-data - < ntp.yaml $ lxc start a2 $ lxc exec a2 -- grep -A 10 Traceback /var/log/cloud-init.log Integration tests also present schema Warnings about invalid ntp pools and servers cloud-config yaml containing dict objects instead of lists. http://pad.lv/1724951 https://bugs.launchpad.net/ubuntu/+source/cloud-init/+bug/1724951 === Begin SRU Template === [Impact] Customers who provide the following cloud-config will get a Runtime error #cloud-config ntp: The expected behavior, per docs, is that an empty ntp configuration will result in "4 pools will be used in the format {0-3}.{distro}.pool.ntp.org.". [Test Case] if [ ! -f './lxc-proposed-snapshot' ]; then   wget https://raw.githubusercontent.com/cloud-init/ubuntu-sru/master/bin/lxc-proposed-snapshot;   chmod 755 lxc-proposed-snapshot; fi # 1. Provide a empty ntp configuration to cloud-init cat > install-ntp.conf <<EOF #cloud-config ntp: EOF # 2. for release in xenial zesty; do         ref=$release-proposed;         echo "$release START --------------";         lxc-proposed-snapshot --proposed --publish $release $ref; lxc init $ref test-$release; lxc config set test-$release user.user-data - < install-ntp.conf; lxc start test-$release; sleep 10; # no runtime error lxc exec test-$release -- cat /run/cloud-init/result.json # ntp installed lxc exec test-$release -- dpkg-query --show ntp; # default pools lxc exec test-$release -- grep pool /etc/ntp.conf done [Regression Potential] Minimal, this fixes only a corner case where cloud-config ntp specified is completely empty. Any more complex ntp configuration are unaffected by code changes. [Other Info] Upstream commit at https://git.launchpad.net/cloud-init/commit/?id=6bc504e41666 === End SRU Template ===
2017-10-24 21:48:35 Chad Smith bug task added cloud-init (Ubuntu)
2017-10-24 21:49:02 Chad Smith nominated for series Ubuntu Zesty
2017-10-24 21:49:02 Chad Smith nominated for series Ubuntu Xenial
2017-10-24 21:50:29 Chad Smith nominated for series Ubuntu Artful
2017-10-24 21:57:40 Joshua Powers bug task added cloud-init (Ubuntu Artful)
2017-10-24 21:57:44 Joshua Powers bug task added cloud-init (Ubuntu Xenial)
2017-10-24 21:57:49 Joshua Powers bug task added cloud-init (Ubuntu Zesty)
2017-10-25 00:33:50 Chris Halse Rogers cloud-init (Ubuntu Artful): status New Fix Committed
2017-10-25 00:33:52 Chris Halse Rogers bug added subscriber Ubuntu Stable Release Updates Team
2017-10-25 00:33:56 Chris Halse Rogers bug added subscriber SRU Verification
2017-10-25 00:34:01 Chris Halse Rogers tags verification-needed verification-needed-artful
2017-10-25 01:41:21 Scott Moser cloud-init (Ubuntu Xenial): status New Confirmed
2017-10-25 01:41:24 Scott Moser cloud-init (Ubuntu Zesty): status New Confirmed
2017-10-25 01:41:27 Scott Moser cloud-init (Ubuntu Xenial): status Confirmed In Progress
2017-10-25 01:41:30 Scott Moser cloud-init (Ubuntu Zesty): status Confirmed In Progress
2017-10-25 01:41:36 Scott Moser cloud-init (Ubuntu): status New In Progress
2017-10-25 01:41:39 Scott Moser cloud-init (Ubuntu): importance Undecided Medium
2017-10-25 01:41:41 Scott Moser cloud-init (Ubuntu Xenial): importance Undecided Medium
2017-10-25 01:41:43 Scott Moser cloud-init (Ubuntu Zesty): importance Undecided Medium
2017-10-25 01:41:46 Scott Moser cloud-init (Ubuntu Artful): importance Undecided Medium
2017-10-25 03:21:03 Chris Halse Rogers cloud-init (Ubuntu Zesty): status In Progress Fix Committed
2017-10-25 03:21:11 Chris Halse Rogers tags verification-needed verification-needed-artful verification-needed verification-needed-artful verification-needed-zesty
2017-10-25 03:29:49 Chris Halse Rogers cloud-init (Ubuntu Xenial): status In Progress Fix Committed
2017-10-25 03:29:57 Chris Halse Rogers tags verification-needed verification-needed-artful verification-needed-zesty verification-needed verification-needed-artful verification-needed-xenial verification-needed-zesty
2017-10-25 16:51:07 Chad Smith description http://pad.lv/1724951 https://bugs.launchpad.net/ubuntu/+source/cloud-init/+bug/1724951 === Begin SRU Template === [Impact] Customers who provide the following cloud-config will get a Runtime error #cloud-config ntp: The expected behavior, per docs, is that an empty ntp configuration will result in "4 pools will be used in the format {0-3}.{distro}.pool.ntp.org.". [Test Case] if [ ! -f './lxc-proposed-snapshot' ]; then   wget https://raw.githubusercontent.com/cloud-init/ubuntu-sru/master/bin/lxc-proposed-snapshot;   chmod 755 lxc-proposed-snapshot; fi # 1. Provide a empty ntp configuration to cloud-init cat > install-ntp.conf <<EOF #cloud-config ntp: EOF # 2. for release in xenial zesty; do         ref=$release-proposed;         echo "$release START --------------";         lxc-proposed-snapshot --proposed --publish $release $ref; lxc init $ref test-$release; lxc config set test-$release user.user-data - < install-ntp.conf; lxc start test-$release; sleep 10; # no runtime error lxc exec test-$release -- cat /run/cloud-init/result.json # ntp installed lxc exec test-$release -- dpkg-query --show ntp; # default pools lxc exec test-$release -- grep pool /etc/ntp.conf done [Regression Potential] Minimal, this fixes only a corner case where cloud-config ntp specified is completely empty. Any more complex ntp configuration are unaffected by code changes. [Other Info] Upstream commit at https://git.launchpad.net/cloud-init/commit/?id=6bc504e41666 === End SRU Template === http://pad.lv/1724951 https://bugs.launchpad.net/ubuntu/+source/cloud-init/+bug/1724951 === Begin SRU Template === [Impact] Customers who provide the following cloud-config will get a Runtime error #cloud-config ntp: The expected behavior, per docs, is that an empty ntp configuration will result in "4 pools will be used in the format {0-3}.{distro}.pool.ntp.org.". [Test Case] if [ ! -f './lxc-proposed-snapshot' ]; then   wget https://raw.githubusercontent.com/cloud-init/ubuntu-sru/master/bin/lxc-proposed-snapshot;   chmod 755 lxc-proposed-snapshot; fi # 1. Provide a empty ntp configuration to cloud-init cat > install-ntp.conf <<EOF #cloud-config ntp: EOF # 2. for release in xenial zesty artful; do         ref=$release-proposed;         echo "$release START --------------";         lxc-proposed-snapshot --proposed --publish $release $ref;         lxc init $ref test-$release;         lxc config set test-$release user.user-data - < install-ntp.conf;         lxc start test-$release;         sleep 10;         # no runtime error         lxc exec test-$release -- cat /run/cloud-init/result.json         # ntp installed         lxc exec test-$release -- dpkg-query --show ntp;         # default pools         lxc exec test-$release -- grep pool /etc/ntp.conf done [Regression Potential] Minimal, this fixes only a corner case where cloud-config ntp specified is completely empty. Any more complex ntp configuration are unaffected by code changes. [Other Info] Upstream commit at   https://git.launchpad.net/cloud-init/commit/?id=6bc504e41666 === End SRU Template ===
2017-10-25 16:51:22 Chad Smith tags verification-needed verification-needed-artful verification-needed-xenial verification-needed-zesty verification-done verification-done-artful verification-done-xenial verification-done-zesty
2017-10-26 08:49:10 Launchpad Janitor cloud-init (Ubuntu): status In Progress Fix Released
2017-11-02 17:55:22 Launchpad Janitor cloud-init (Ubuntu Artful): status Fix Committed Fix Released
2017-11-02 17:55:38 Brian Murray removed subscriber Ubuntu Stable Release Updates Team
2017-11-07 17:07:58 Łukasz Zemczak bug added subscriber Ubuntu Stable Release Updates Team
2017-11-07 17:08:03 Łukasz Zemczak tags verification-done verification-done-artful verification-done-xenial verification-done-zesty verification-done-artful verification-done-xenial verification-needed verification-needed-zesty
2017-11-07 17:18:28 Łukasz Zemczak tags verification-done-artful verification-done-xenial verification-needed verification-needed-zesty verification-done-artful verification-needed verification-needed-xenial verification-needed-zesty
2017-11-07 20:49:52 Chad Smith tags verification-done-artful verification-needed verification-needed-xenial verification-needed-zesty verification-done verification-done-artful verification-done-xenial verification-done-zesty
2017-11-14 22:23:59 Launchpad Janitor cloud-init (Ubuntu Zesty): status Fix Committed Fix Released
2017-11-15 01:07:42 Launchpad Janitor cloud-init (Ubuntu Xenial): status Fix Committed Fix Released
2017-12-14 21:02:35 Scott Moser cloud-init: status In Progress Fix Released